package com.palmnest.service.hdrepair.impl;

import com.palmnest.model.estateserve.UserRepairAccount;
import com.palmnest.service.hdrepair.UserRepairService;
import com.palmnest.service.hdrepair.manager.UserRepairManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Author HIAPAD
 * @Description TODO
 * @Date 2018/11/1 20:24
 **/
@Service("userRepairService")
public class UserRepairServiceImpl implements UserRepairService {

	@Autowired
	private UserRepairManager userRepairManager;

	@Override
	public UserRepairAccount checkUserRegister(String orgId, String openId) {
		return userRepairManager.checkUserRegister(orgId, openId);
	}

	@Override
	public UserRepairAccount checkMobile(String orgId, String openId, String mobile) {
		return userRepairManager.checkMobile(orgId, openId, mobile);
	}

	@Override
	public UserRepairAccount save(UserRepairAccount user) {
		return userRepairManager.save(user);
	}

	@Override
	public UserRepairAccount getUserByUserCode(String userCode) {
		return userRepairManager.getUserByUserCode(userCode);
	}
}
